import dynamix_sdk.base as _base


class CloudapiDisksResize2ResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksResize2Protocol(_base.BasePostAPIFunctionProtocol):
    def resize2(
        self,
        *,
        disk_id: int,
        disk_size_gb: int,
    ) -> CloudapiDisksResize2ResultBool:
        ...
